Passer au contenu principal
GET
/
2
/
users
/
{id}
/
muting
Récupérer les comptes mis en sourdine
curl --request GET \
  --url https://api.x.com/2/users/{id}/muting \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2013-12-14T04:35:55Z",
      "id": "2244994945",
      "name": "X Dev",
      "protected": false,
      "username": "TwitterDev"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "includes": {
    "media": [
      {
        "type": "<string>",
        "preview_image_url": "<string>",
        "variants": [
          {
            "bit_rate": 123,
            "content_type": "<string>",
            "url": "<string>"
          }
        ],
        "height": 1,
        "media_key": "<string>",
        "width": 1
      }
    ],
    "places": [
      {
        "full_name": "Lakewood, CO",
        "id": "f7eb2fa2fea288b1",
        "contained_within": [
          "f7eb2fa2fea288b1"
        ],
        "country": "United States",
        "country_code": "US",
        "name": "Lakewood",
        "place_type": "city"
      }
    ],
    "polls": [
      {
        "id": "1365059861688410112",
        "options": [
          {
            "label": "<string>",
            "position": 123,
            "votes": 123
          }
        ],
        "duration_minutes": 5042,
        "end_datetime": "2023-11-07T05:31:56Z",
        "voting_status": "open"
      }
    ],
    "topics": [
      {
        "id": "<string>",
        "name": "Technology",
        "description": "All about technology"
      }
    ],
    "tweets": [
      {
        "author_id": "2244994945",
        "created_at": "Wed Jan 06 18:40:40 +0000 2021",
        "id": "1346889436626259968",
        "text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
        "username": "XDevelopers"
      }
    ],
    "users": [
      {
        "created_at": "2013-12-14T04:35:55Z",
        "id": "2244994945",
        "name": "X Dev",
        "protected": false,
        "username": "TwitterDev"
      }
    ]
  },
  "meta": {
    "next_token": "<string>",
    "previous_token": "<string>",
    "result_count": 123
  }
}

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

id
string
requis

L’ID de l’utilisateur source authentifié pour lequel renvoyer les résultats. Identifiant unique de cet utilisateur. La valeur doit correspondre à celle de l’utilisateur authentifié.

Exemple:

"2244994945"

Paramètres de requête

max_results
integer<int32>
défaut:100

Le nombre maximal de résultats à renvoyer.

Plage requise: 1 <= x <= 1000
pagination_token
string

Ce paramètre permet de récupérer la « page » suivante de résultats. Un jeton de pagination « long ».

Required string length: 1 - 19
user.fields
enum<string>[]

Une liste, séparée par des virgules, de champs User à renvoyer. Les champs disponibles pour un objet User.

Minimum array length: 1
Options disponibles:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
Exemple:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
expansions
enum<string>[]

Une liste, séparée par des virgules, des champs à développer. La liste des champs que vous pouvez développer pour un objet User. Si un champ contient un id, il peut être développé en un objet complet.

Minimum array length: 1
Options disponibles:
affiliation.user_id,
most_recent_tweet_id,
pinned_tweet_id
Exemple:
[
"affiliation.user_id",
"most_recent_tweet_id",
"pinned_tweet_id"
]
tweet.fields
enum<string>[]

Une liste, séparée par des virgules, des champs de Tweet à renvoyer. Les champs disponibles pour un objet Tweet.

Minimum array length: 1
Options disponibles:
article,
attachments,
author_id,
card_uri,
community_id,
context_annotations,
conversation_id,
created_at,
display_text_range,
edit_controls,
edit_history_tweet_ids,
entities,
geo,
id,
in_reply_to_user_id,
lang,
media_metadata,
non_public_metrics,
note_tweet,
organic_metrics,
possibly_sensitive,
promoted_metrics,
public_metrics,
referenced_tweets,
reply_settings,
scopes,
source,
suggested_source_links,
suggested_source_links_with_counts,
text,
withheld
Exemple:
[
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]

Réponse

La requête a réussi.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).

includes
object
meta
object